#========================================================================================
# nocomments
# package      DE_EPAGES::Saferpay2::API::Constants
# state        private
#----------------------------------------------------------------------------------------
# description  constants for cartridge
#========================================================================================
package DE_EPAGES::Saferpay2::API::Constants;
use base Exporter;

use strict;



our @EXPORT_OK = qw (
    INTERNAL_CARTRIDGE_NAME
    SUPPORTED_CURRENCIES
    SUPPORTED_PAYMENT_METHODS
    PAYMENT_TYPE_SAFERPAY2
);



# This name is used to load objects from database (DON'T CHANGE!)
use constant INTERNAL_CARTRIDGE_NAME => 'Saferpay2';

# Currencies which are supported by Saferpay2.
use constant SUPPORTED_CURRENCIES => (qw(
    EUR
    CHF
));

use constant SUPPORTED_PAYMENT_METHODS => [qw(
    VISA
    VPAY
    MASTERCARD
    AMEX
    MAESTRO
)];

use constant PAYMENT_TYPE_SAFERPAY2 => 'Saferpay2';

1;